package com.atguigu.common.utils;

import com.atguigu.ssyx.model.acl.Permission;

import java.util.ArrayList;
import java.util.List;

public class PermissionHelper {
    public static List<Permission> buildPermissions(List<Permission> permissionList) {
        ArrayList<Permission> trees = new ArrayList<>();

        permissionList.forEach(permission -> {
            if (permission.getPid() == 0) {
                permission.setLevel(1);
                trees.add(findChildren(permission, permissionList));
            }
        });

        return trees;
    }

    private static Permission findChildren(Permission permission, List<Permission> allList) {
        permission.setChildren(new ArrayList<>());

        allList.forEach(p -> {
            if (p.getId().equals(permission.getPid())) {
                int level = permission.getLevel() + 1;
                p.setLevel(level);

                if (permission.getChildren() == null) {
                    permission.setChildren(new ArrayList<>());
                }
                // 封装下层数据
                permission.getChildren().add(findChildren(p, allList));
            }
        });

        return permission;
    }
}
