package com.atguigu.ssyx.client.product;

import com.atguigu.ssyx.common.result.Result;
import com.atguigu.ssyx.model.product.Category;
import com.atguigu.ssyx.model.product.SkuInfo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(value = "service-product", path = "/api/product")
public interface ProductFeignClient {
    @GetMapping("inner/getCategory/{categoryId}")
    Result<Category> getCategory(@PathVariable Long categoryId);

    @GetMapping("inner/getSkuInfo/{skuId}")
    Result<SkuInfo> getSkuInfo(@PathVariable Long skuId);
}
