package com.atguigu.ssyx.acl.service.impl;

import com.atguigu.common.utils.PermissionHelper;
import com.atguigu.ssyx.acl.mapper.PermissionMapper;
import com.atguigu.ssyx.acl.service.PermissionService;
import com.atguigu.ssyx.acl.service.module.PermissionServiceModule;
import com.atguigu.ssyx.model.acl.Permission;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class PermissionServiceImpl extends ServiceImpl<PermissionMapper, Permission> implements PermissionService {
    @Autowired
    private PermissionServiceModule permissionServiceModule;

    /**
     * 获取所有菜单列表
     *
     * @return 权限列表
     */
    @Override
    public List<Permission> queryAllMenu() {
        // 转换要求数据格式
        return PermissionHelper.buildPermissions(list());
    }

    /**
     * 递归删除
     *
     * @param id 删除ID
     */
    @Override
    public void removeChildById(Long id) {
        ArrayList<Long> idList = new ArrayList<>();

        // 获取菜单下子菜单
        permissionServiceModule.getAllPermissionId(id, idList);

        // 调用方法根据多个菜单ID删除
        baseMapper.deleteBatchIds(idList);
    }
}
