package com.atguigu.ssyx.product.service.impl;

import com.atguigu.ssyx.model.product.SkuPoster;
import com.atguigu.ssyx.product.mapper.SkuPosterMapper;
import com.atguigu.ssyx.product.service.SkuPosterService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 商品海报表 服务实现类
 * </p>
 *
 * @author bunny
 * @since 2024-04-03
 */
@Service
public class SkuPosterServiceImpl extends ServiceImpl<SkuPosterMapper, SkuPoster> implements SkuPosterService {
    /**
     * 根据id查询商品海报列表
     *
     * @param id 商品id
     * @return 图片列表
     */
    @Override
    public List<SkuPoster> getPosterListBySkuId(Long id) {
        return baseMapper.selectList(Wrappers.<SkuPoster>lambdaQuery().eq(SkuPoster::getSkuId, id));
    }
}
